Bug 530389 - allow userspace to adjust kvmclock offset
allow userspace to adjust kvmclock offset
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
high Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget 554504
  Show dependency treegraph
 
Reported: 2009-10-22 11:46 EDT by Glauber Costa
Modified: 2010-09-03 10:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554504 (view as bug list)
Environment:
Last Closed: 2010-09-03 10:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for it. (4.45 KB, patch)
2009-10-23 07:10 EDT, Glauber Costa
no flags Details | Diff

  None (edit)
Description Glauber Costa 2009-10-22 11:46:13 EDT
Description of problem:
In order get migration of kvm guests working on remote and unsynchronized hosts, we need two new ioctls that will allow us to adjust pvclock value.

Those patches are in upstream kvm kernel, and I will provide a backport shortly.
Comment 1 Glauber Costa 2009-10-23 07:07:39 EDT
scratch build at : http://koji.fedoraproject.org/koji/taskinfo?taskID=1763328
Comment 2 Glauber Costa 2009-10-23 07:10:51 EDT
Created attachment 365834 [details]
Patch for it.
Comment 3 Mark McLoughlin 2009-10-29 09:07:26 EDT
Okay, it's queued up in Avi's tree here:

  http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=a6048dd2da
  http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=958b0c5497

which means it should be in 2.6.33

The qemu-kvm side is here:

  http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=e4d6d49061
  http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=11ed4b344c
  http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=79529cd015

which should be in qemu-kvm-0.12.0

Glauber: are you proposing to pull the new ioctl for 2.6.31 in Fedora 12?

What are the symptoms of the bug? i.e. how bad is it? could it wait until Fedora 13?
Comment 4 Glauber Costa 2009-10-29 09:15:33 EDT
(In reply to comment #3)
> Okay, it's queued up in Avi's tree here:
> 
>  
> http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=a6048dd2da
>  
> http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=958b0c5497
> 
> which means it should be in 2.6.33
> 
> The qemu-kvm side is here:
> 
>   http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=e4d6d49061
>   http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=11ed4b344c
>   http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=79529cd015
> 
> which should be in qemu-kvm-0.12.0
> 
> Glauber: are you proposing to pull the new ioctl for 2.6.31 in Fedora 12?

I guess we could. The patch is there, and is already a backport to F12 tree, should apply just fine. So it's really up to the kernel maintainer.

I can backport the userspace part if we get the kernel part working.

> What are the symptoms of the bug? i.e. how bad is it? could it wait until
> Fedora 13?  

Imagine two hosts A and B
A has a smaller monotonic clock than B (say, B was booted first)

If you migrate A -> B, you get a time jump.
If you migrate B -> A, you get backwards timing, and machine hangs
Comment 5 Mark McLoughlin 2009-10-29 10:03:24 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Okay, it's queued up in Avi's tree here:
> > 
> >  
> > http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=a6048dd2da
> >  
> > http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=958b0c5497
> > 
> > which means it should be in 2.6.33
...
> > Glauber: are you proposing to pull the new ioctl for 2.6.31 in Fedora 12?
> 
> I guess we could. The patch is there, and is already a backport to F12 tree,
> should apply just fine.

Ah, good - the patch you attached is the combination of both those commits.

Justin, it sounds important enough to get this queued up for a post-GA update.
Comment 6 Bug Zapper 2010-03-15 08:58:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chuck Ebbert 2010-09-03 10:07:55 EDT
F13 now has kernel 2.6.34

Note You need to log in before you can comment on or make changes to this bug.